﻿* {
    margin: 0;
    padding: 0;
}

.center-container {
    /*display: flex;*/
    justify-content: center;
    align-items: center;
    /*height: 100vh;*/
}

body {
    background: silver;
    font-family: 'Montserrat', sans-serif;
}
header {
    width: 100%;
    padding: 15px 10%;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: forestgreen;
    border-bottom: 2px solid #000;
}
header .logo {
    font-weight: 600;
    font-size: 25px;
}
    header nav a {
        font-weight: bold;
        color: gold;
        text-decoration: none;
        margin-left: 15px;
    }
        header nav a:hover {
            color: #d96614; /* Цвет при наведении */
            text-decoration: underline
        }

main {
    width: 100%;
    padding: 15px 10px;
    margin: 10px 20px;
}

    main label {
        width: 100%;
        margin-top: 10px;
        margin-left: 15px;
        margin-bottom: -5px;
        display: block;
    }

    main input:not([type="submit"]) {
        width: 90%;
        padding: 8px 14px;
        font-size: inherit;
        border-radius: 10px;
        border: 1px solid silver;
        outline: none;
        margin-top: 7px;
    }

    main select {
        width: 90%;
        padding: 8px 14px;
        font-size: inherit;
        border-radius: 10px;
        border: 1px solid silver;
        outline: none;
        margin-top: 7px;
    }

main input:not([type="submit"]):focus {
    border: 1px solid #ff0000;
}

    main input[type="submit"] {
        padding: 10px 10px;
        text-align: center;
        font-size: 15px;
        border-radius: 15px;
        border: 0;
        margin-top: 7px;
        background: #24702d;
        font-weight: bold;
        color: gold;
        cursor: pointer;
    }

        main input[type="submit"]:hover {
            background: #d96614;
        }

    main form span {
        color: #ff0000;
        /*font-weight: bold;*/
        display: block;
        margin: 5px 0;
    }

    main button {
        padding: 10px 10px;
        text-align: center;
        font-size: 15px;
        border-radius: 15px;
        border: 0;
        margin-top: 7px;
        background: #24702d;
        font-weight: bold;
        color: white;
        cursor: pointer;
    }
    main button:hover {
        background: #d96614;
    }

.loading-overlay {
    position: fixed;
    top: 25%;
    left: 25%;
    width: 50%;
    height: 50%;
    background-color: rgba(200, 200, 200, 0.8);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

.spinner-container {
    text-align: center;
    background: #ffffff;
    padding: 30px;
    border-radius: 8px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.5);
}

footer {
    margin-top: 150px;
    text-align: center;
    width: 100%;
    padding: 25px 0;
    color: white;
    background: darkgreen;
    border-top: 2px solid #000;
}

